/**
 * Created by IntelliJ IDEA.
 * User: o_215
 * Date: 30.09.2009
 * Time: 19:14:49
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;

public class Quotient {
public static void main(String[] args) throws Exception{
    Scanner s= new Scanner("quotient.in");
    PrintWriter p= new PrintWriter("quotient.out");
    int a=s.nextInt();
    int b=s.nextInt();
    if (b==0) {p.print("na nol' delit' nel'zya");}
    else {p.print((int)(a / b));}
    s.close();
    p.close();
}
}
